From: [email-masked] (Zhen Zhang)
Date: Thu, 10 Mar 94 11:57:54 CST

Congratulations to those LADs who have already had approval or even G.C.!

My LADs passed interview last Nov. with Newark INS and were told to wait for 
visa number. We haven't heard anything since.

Yesterday I called INS Card Facility to see if people there had already get 
something about my LADs from the Newark INS. The automated system told me 
that my LADs' first copy (copy a)  of the Form I-181 had been received,  
but to start manufacture the G.C. they need to receive the approval copy 
(copy c) of the Form I-181 (copy c) and Form I-89 (finger print). My LADs' 
I-89s were done during the interview.

Could someone  shed some light on the functions of the each copy of the Form  
 I-181? Does LAD living in New Jersey get anything from Newark INS after interview?

Your information is highly appreciated!

Z. Zhang